Subject: Re: [issue37] TBD - FE Protocol Attributes

From: "Deleganes, Ellen M" <[email-masked]>
Date: Mon, 6 Jun 2005 09:28:22 -0700

I had removed the detailed descriptions of the core LFBs from the model
document for the very reason that Jamal has pointed out. However, we
need to define the core LFBs to the point where we all feel confident
that the protocol and the model will support at least the most common
ones. I think we are mostly there, but would like to get other opinions
as well.

Regards,
Ellen

-----Original Message-----
From: Forwarding and Control Element Separation
[mailto:[email-masked]] On Behalf Of Jamal Hadi Salim
Sent: Monday, June 06, 2005 6:02 AM
To: [email-masked]
Subject: Re: [issue37] TBD - FE Protocol Attributes

I am about 60% in agreement with Weiming. Infact, thats what i was
stating before the last IETF meeting. I even have a draft called "Core
LFBs" to prove it ;->

Actually the main valid reason that Weiming provides is #3. We need to
get both the protocol and Model drafts to last call and moving this out
will help speed things up. I believe the core LFBs should still be
mentioned in the two drafts but not elucidated.

cheers,
jamal

On Mon, 2005-06-06 at 15:15 +0800, Wang,Weiming wrote:
> Joel, David, and Robert,
> 
> I have some thoughts, some by my experience with GRMP:
> 1. Defining things like LFB attributes in details in the protocol
docuement will
> really leads the document to a comlex one.
> 2. Currently, we may be a little far away from accurately defining
these
> attributes.
> 3. Therefore, will eventually bottleneck the protocol document from
going to
> last call.
> 
> I actually incline to strip all that are related to LFB definitions
from current
> protocol docuement, while only leaving it for open discussion later
that
> "whether they go to model document or to a specific one for LFB
definitions used
> by protocol" .
> 
> Thanks,
> Weiming
> ----- Original Message -----
> From: "Putzolu, David" <[email-masked]>
> 
> (hat off)
> 
> The approach you propose Joel makes sense to me technically, and it is
> also a nice partitioning of the work :)
> 
> -David
> 
> 
> -----Original Message-----
> From: Forwarding and Control Element Separation
> [mailto:[email-masked]] On Behalf Of Joel M. Halpern
> Sent: Friday, June 03, 2005 11:29 AM
> To: [email-masked]
> Subject: Re: [FORCES] [issue37] TBD - FE Protocol Attributes
> 
> A reasonable question.
> 
> My current take is that the FE LFB should come with the model
document,
> and
> the FE-protocol LFB should be defined by the protocol document.
> However, this is something on which reasonable people can easily
differ,
> 
> and I am open to alternatives.
> 
> Yours,
> Joel
> 
> At 10:50 AM 6/3/2005, Weiming Wang wrote:
> >It seems we need to first decide "who should define the LFBs like
> FE-LFB,
> >FE-protocol-LFB, this protocol document or elsewhere"  before trying
to
> >decide this issue.
> >thanks,
> >Weiming